# Simple property example defined in the notes.


class C:
    def __init__(self,init):
        self.count = init

    def inc(self):
        self.count += 1

    #...def other methods...

    def get_count(self):
        return self.the_count

    def set_count(self, value):
        self.the_count = value

    def del_count(self):
        del self.the_count

    count = property(get_count, set_count, del_count)

o = C(5)
print('o = C(5)')
print('o namespace=',o.__dict__)
print('search for o.count=',o.count)

print('\no.inc()')
o.inc()
print('search for o.count=',o.count)

print('\no.count = 1')
o.count = 1
print('search for o.count=',o.count)

print('\ndel o.count')
del o.count
print('o namespace=',o.__dict__)

try:
    print("\nprint('search for o.count=',o.count)")
    print('search for o.count=',o.count) 
except:
    print('Exception raised: could not compute o.count')
